---
wsId: 
title: OPOLO Hardware Wallet
altTitle: 
authors:
- danny
users: 1000
appId: com.opolo.io
appCountry: 
released: 2020-09-01
updated: 2021-06-08
version: 1.3.1
stars: 
ratings: 
reviews: 
size: 18M
website: https://www.OPOLO.io
repository: 
issue: 
icon: com.opolo.io.png
bugbounty: 
meta: ok
verdict: nowallet
date: 2022-04-11
signer: 
reviewArchive: 
twitter: OpoloWallet
social:
- https://www.linkedin.com/company/opolo-ltd/
- https://www.facebook.com/opolo.wallet.3
- https://www.pinterest.com/opolowallet/_saved/
- https://medium.com/@OPOLOCosmos
redirect_from: 

---

This is the companion app to the {% include walletLink.html wallet='hardware/opolocosmos' verdict='true' %}

## App Description

- It only works once the {% include walletLink.html wallet='hardware/opolocosmos' %} is plugged in and authenticated
- Equivalent versions are available for Windows, MacOS and Linux
- Can create a wallet once the device is authenticated
- 24-word BIP 39 support
- [Video documentation](https://www.youtube.com/watch?v=ql-WgqMu1kg) for wallet setup is available.

## App Options

- Validate Device Genuine
- Password
- Recover Device
- Update Firmware
- Wallet Backup
- Restore Wallet
- Portfolio
- Exchange Crypto
- Transactions

Opolo documentation is available on this [page](https://www.opolo.io/wiki/doku.php)

## Additional Notes

Opolo has a [kickstarter campaign](https://www.kickstarter.com/projects/opolo-sarl/opolo-secure-crypto-wallet-for-the-eternal-peace-of-mind) which claims that it is an open source project.

## Verdict

The project claims to be an Open Source project. However, when we checked their [repositories](https://github.com/OPOLO-1/test-opolo-integration), "Test-Opolo-Integration" seems to be the one related to their hardware wallet. The other repositories are forked from various sources: 

Forked: 
- bitcore
- dashcore-p2p
- pidcodes.github.com
- f055-tuples
- slips (Satoshi Labs Improvement Proposals)

Unknown repository: 
- spy-usb-comm

The Android app itself **does not have the source publicly available**. 

